Loading...
Searching...
No Matches
pcl::detail::Transformer< Scalar > Struct Template Reference

A helper struct to apply an SO3 or SE3 transform to a 3D point. More...

`#include <pcl/common/impl/transforms.hpp>`

## Public Member Functions

| Transformer (const Eigen::Matrix< Scalar, 4, 4 > &transform)
| Construct a transformer object.
void | so3 (const float *src, float *tgt) const
| Apply SO3 transform (top-left corner of the transform matrix).
void | se3 (const float *src, float *tgt) const
| Apply SE3 transform.

## Public Attributes

const Eigen::Matrix< Scalar, 4, 4 > & | tf

## Detailed Description

template<typename Scalar>
struct pcl::detail::Transformer< Scalar >

A helper struct to apply an SO3 or SE3 transform to a 3D point.

Supports single and double precision transform matrices.

Definition at line 67 of file transforms.hpp.

## Constructor & Destructor Documentation

## Transformer()

template<typename Scalar >

pcl::detail::Transformer< Scalar >::Transformer | ( | const Eigen::Matrix< Scalar, 4, 4 > & | transform | ) |

inline

Construct a transformer object.

The transform matrix is captured by const reference. Make sure that it does not go out of scope before this object does.

Definition at line 74 of file transforms.hpp.

## Member Function Documentation

## se3()

template<typename Scalar >

void pcl::detail::Transformer< Scalar >::se3 | ( | const float * | src,
|  | float * | tgt
| ) |  | const

inline

Apply SE3 transform.

Parameters

  [in] | src | input 3D point (pointer to 3 floats)
  [out] | tgt | output 3D point (pointer to 4 floats), can be the same as input. The fourth element is set to 1.

Definition at line 91 of file transforms.hpp.

References pcl::detail::Transformer< Scalar >::tf.

Referenced by pcl::transformPoint(), pcl::transformPointCloud(), pcl::transformPointCloud(), pcl::transformPointCloudWithNormals(), pcl::transformPointCloudWithNormals(), and pcl::transformPointWithNormal().

## so3()

template<typename Scalar >

void pcl::detail::Transformer< Scalar >::so3 | ( | const float * | src,
|  | float * | tgt
| ) |  | const

inline

Apply SO3 transform (top-left corner of the transform matrix).

Parameters

  [in] | src | input 3D point (pointer to 3 floats)
  [out] | tgt | output 3D point (pointer to 4 floats), can be the same as input. The fourth element is set to 0.

Definition at line 79 of file transforms.hpp.

References pcl::detail::Transformer< Scalar >::tf.

Referenced by pcl::transformPointCloudWithNormals(), pcl::transformPointCloudWithNormals(), and pcl::transformPointWithNormal().

## Member Data Documentation

## tf

template<typename Scalar >

const Eigen::Matrix<Scalar, 4, 4>& pcl::detail::Transformer< Scalar >::tf

Definition at line 69 of file transforms.hpp.

Referenced by pcl::detail::Transformer< Scalar >::se3(), and pcl::detail::Transformer< Scalar >::so3().

The documentation for this struct was generated from the following file:

- pcl/common/impl/transforms.hpp